Home

Initialize a wallet handle token

POST
https://algo.nownodes.io/v1/wallet/init

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Unlock the wallet and return a wallet handle token that can be used for subsequent operations. These tokens expire periodically and must be renewed. You can POST the token to /v1/wallet/info to see how much time remains until expiration, and renew it with /v1/wallet/renew. When you're done, you can invalidate the token with /v1/wallet/release.

Body

application/json

APIV1POSTWalletInitRequest is the request for POST /v1/wallet/init

wallet_idstring
wallet_passwordstring

Response

200OK

Response to POST /v1/wallet/init